Wonder
put/svc/ts/api/v1/openapi/user/{id}

Edit a user

Updates a user's profile by user ID.

Path parameters

idrequired
string

Reference ID

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object

User

last_namerequired
string

Last name

first_namerequired
string

First name

calling_coderequired
string

Calling code, 1-3 digits

phone_numberrequired
string

Phone number, 1-11 digits (unique)

date_of_birthrequired
string

Date of birth

document_typerequired
enum<string>

Document type

PASSPORTDRIVER_LICENSEID_CARD

document_numberrequired
string

Document number

issuing_countryrequired
string

Issuing country

Responses

coderequired
integer

Response code

required
object

Response data

required
object

User

messagerequired
string

Response message